import React, { useState } from 'react'
import { View, ScrollView } from '@tarojs/components'
import './style.scss'

export default (props) => {
  const { current, tabs, onChange } = props

  const handleTabClick = (index) => () => {
    if (onChange) {
      onChange(index + 1)
    }
  }

  return (
    <View className='yz-tabs'>
      <ScrollView scrollX scrollIntoView={`item-${current}`}>
        <View className='yz-tabs-nav'>
        {
          (tabs||[]).map((item, index) => {
            const activeClass = current === (index + 1) ? 'active' : ''

            return (
              <View
                key={item}
                id={`item-${index}`}
                className={`yz-tabs-tab ${activeClass}`}
                onClick={handleTabClick(index)}
              >{item}</View>
            )
          })
        }
        </View>
      </ScrollView>
    </View>
  )
}
